﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace TileHeaders
{
    public partial class xamTM : UserControl
    {
        List<SimpleItem> list = new List<SimpleItem>();

        public xamTM()
        {
            InitializeComponent();
            for (int i = 0; i < 20; i++)
            {
                list.Add(new SimpleItem() { Number = i, Text = "text is simple in \n a simple item " + i.ToString() });
            }

            this.TileMgrWidget.ItemsSource = list;
        }
    }

    public class SimpleItem : INotifyPropertyChanged
    {
        private string text;
        private int number;

        public string Text
        {
            get
            { return text; }
            set
            {
                text = value;
                OnPropertyChanged("Text");
            }
        }

        public int Number
        {
            get
            { return number; }
            set
            {
                number = value;
                OnPropertyChanged("Number");
            }
        }

        public override string ToString()
        {
            string toString = "";
            toString = this.Text + " : " + this.Number.ToString();
            return toString;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));

        }
    }
}
